import { component } from 'vxe-pc-ui';

export const viewFormSchematab3: any[] = [
  {
    component: 'Divider',
    field: 'divider-linked',
    label: '申请信息',
  },
  {
    field: 'applyReason',
    component: 'Input',
    label: '申请理由',
    colProps: {
      span: 12,
    },
    componentProps: {
      disabled: true,
    },
    defaultValue: '申请理由',
  },
  {
    field: 'applyTitle',
    component: 'Input',
    label: '申请标题',
    colProps: {
      span: 12,
    },
    componentProps: {
      disabled: true,
    },
    defaultValue: '申请标题',
  },
  {
    field: 'applyUser',
    component: 'Input',
    label: '申请人',
    colProps: {
      span: 12,
    },
    componentProps: {
      disabled: true,
    },
    defaultValue: '申请人',
  },
  {
    field: 'applyOrg',
    component: 'Input',
    label: '所属机构',
    colProps: {
      span: 12,
    },
    componentProps: {
      disabled: true,
    },

    defaultValue: '所属机构',
  },
  {
    field: 'applyTime',
    component: 'Input',
    label: '申请时间',
    colProps: {
      span: 12,
    },
    componentProps: {
      disabled: true,
    },
    defaultValue: '申请时间',
  },
  {
    field: 'applyStatus',
    component: 'Select',
    label: '申请状态',
    colProps: {
      span: 12,
    },
    componentProps: {
      defaultValue: '0',
      options: [
        { label: '待审批', value: '0' },
        { label: '已通过', value: '1' },
        { label: '已驳回', value: '2' },
      ],
      disabled: true,
    },
  },
  {
    component: 'Divider',
    field: 'divider-linked',
    label: '资源信息',
  },
];
export const viewFormColumntab3: any[] = [
  {
    field: 'resourceName',
    title: '资源信息',
    width: 100,
  },
  {
    field: 'applyStatus',
    title: '处理状态',
    width: 100,
  },
  {
    field: 'detail',
    title: '详情',
    width: 100,
  },
];
